function init(hero) {
    hero.setName("Daredevil/UCM");
    hero.setTier(4);
    
    hero.setHelmet("mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");

    hero.addPowers("cwheropack:billy_clubs");
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.2, 0);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    
    hero.addKeyBind("SHIELD", "Toggle Billy Clubs", 1);
    hero.addKeyBind("SLOW_MOTION", "perception", 2);

    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function shieldProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 7.35, 0);
    profile.addAttribute("SPRINT_SPEED", 0.45, 1);
    profile.addAttribute("FALL_RESISTANCE", 4.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}